V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
k8ser
V2EX  ›  Ubuntu

是我不会用 apt-get install 吗?感觉好难用

  •  
  •   k8ser · 52 天前 · 948 次点击
    这是一个创建于 52 天前的主题,其中的信息可能已经有所发展或是发生改变。

    是我不会用 apt-get install 吗? 之前一直用的 centos7 后来自己虚拟机装 ubuntu apt install 时总是报各种依赖,感觉比 yum 难用多了 ,各位大佬是怎么解决这种环境依赖问题的。aptitude 感觉也不好用。

    10 条回复    2021-10-11 16:29:12 +08:00
    windvans
        1
    windvans   51 天前
    apt 啊
    uni
        2
    uni   51 天前
    你要把具体什么问题贴上来啊……
    boris93
        3
    boris93   51 天前 via iPhone
    你是要发泄情绪?还是要解决问题?
    sadfQED2
        4
    sadfQED2   51 天前 via Android
    install -f 有啥问题吗
    2i2Re2PLMaDnghL
        5
    2i2Re2PLMaDnghL   51 天前
    我先盲猜一个,你误解了 apt 的提示。
    apt install 时会一次性地提示你存在一些 Recommended Dependency,它们不是必须安装的,但如果安装可以加强你刚才安装的软件包的效果。比如 `apt info wget | grep ^Recommends:` 里提示了 ca-certificates,这是操作系统级 CA 根证书集。你不安装证书也可以正常使用 wget + tls (你可以选择不验证证书,也可以使用自定义 pem ),但安装证书后可以采用系统级 CA 验证证书信任链。
    julyclyde
        6
    julyclyde   51 天前
    centos 时代大概是自己编译的?
    ragnaroks
        7
    ragnaroks   51 天前
    apt 输出的信息不太“格式化”,你可能看着很乱,可以使用 yam (本质上只是 apt 的格式化包装),输出会像 yum/dnf 那样。
    ragnaroks
        8
    ragnaroks   51 天前
    对了,宽屏可能有助于你使用 apt
    Kasumi20
        9
    Kasumi20   51 天前   ❤️ 1
    呵呵,我反而觉得 centos 的 yum 像屎一样烂,啥都没有,就算有也全都是过时的
    ByteCat
        10
    ByteCat   51 天前 via iPhone
    我觉得 yum 很难用…apt 反而更舒服
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   2592 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 23ms · UTC 11:50 · PVG 19:50 · LAX 03:50 · JFK 06:50
    ♥ Do have faith in what you're doing.